package routers

import (
	"ColdVerify_server/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	// 设备分类
	beego.Router("/DeviceClass/List", &controllers.DeviceClassController{}, "*:List") // 设备分类列表
	beego.Router("/DeviceClass/Get", &controllers.DeviceClassController{}, "*:Get")   // 获取设备分类
	beego.Router("/DeviceClass/Add", &controllers.DeviceClassController{}, "*:Add")   // 添加设备分类
	beego.Router("/DeviceClass/Up", &controllers.DeviceClassController{}, "*:Up")     // 编辑设备分类
	beego.Router("/DeviceClass/Del", &controllers.DeviceClassController{}, "*:Del")   // 删除设备分类

	// 设备分类 - 设备列表
	beego.Router("/DeviceClassList/List", &controllers.DeviceClassController{}, "*:List_List") // 设备分类列表
	beego.Router("/DeviceClassList/Add", &controllers.DeviceClassController{}, "*:List_Add")   // 添加设备分类列表
	beego.Router("/DeviceClassList/Up", &controllers.DeviceClassController{}, "*:List_Up")     // 编辑设备分类列表
	beego.Router("/DeviceClassList/Del", &controllers.DeviceClassController{}, "*:List_Del")   // 删除设备分类列表

	// - 设备管理
	beego.Router("/Device/List", &controllers.DeviceController{}, "*:List") // 设别列表
	beego.Router("/Device/Add", &controllers.DeviceController{}, "*:Add")   // 添加设别
	beego.Router("/Device/Up", &controllers.DeviceController{}, "*:Up")     // 编辑设别
	beego.Router("/Device/Del", &controllers.DeviceController{}, "*:Del")   // 删除设别

	beego.Router("/Device/Class", &controllers.DeviceController{}, "*:Device_Class") // 设备分类
	beego.Router("/Device/Data", &controllers.DeviceController{}, "*:Device_Data")   // 设备数据

}
